shithub: riscv

Download patch

ref: 578442439060f8936ae0fc31f46cbfeb5e298ab8
parent: e0c3754a3d3b7267885bae205831267ef1b4830a
parent: 39d7180d764ba0f7067ba3b991a8b9811573b0db
author: cinap_lenrek <cinap_lenrek@localhost>
date: Sat Aug 13 18:20:28 EDT 2011

merge

--- a/lib/bullshit
+++ b/lib/bullshit
@@ -5,9 +5,9 @@
 interface
 singleton
 framework
-NoSQL
+NoSQL |
 cache
-self-signing
+self-signing |
 template
 API
 service
--- a/rc/bin/bullshit
+++ b/rc/bin/bullshit
@@ -44,8 +44,8 @@
 		n += 2
 	for(i = 0; i < n; i++)
 		printf "%s%s ", word[last = int(rand() * nword)], suffix()
-	if(rand() > 0.5 || (last >= 0 && noend[last]) || hassuffix)
-		printf "%s ", word[int(rand() * nend)]
+	if(rand() < 0.1 || (last >= 0 && noend[last]) || hassuffix)
+		printf "%s ", end[int(rand() * nend)]
 	print ""
 }
 ' /lib/bullshit
--